//---------------------------------------------------------------------------
//
// Name:        About1Frm.cpp
// Author:      Tom Dlouh
// Created:     18.2.2009 19:06:02
// Description: AboutFrm class implementation
//
//---------------------------------------------------------------------------

#include "About1Frm.h"

//Do not add custom headers between
//Header Include Start and Header Include End
//wxDev-C++ designer will remove them
////Header Include Start
#include "Images/AboutFrm_WxStaticBitmap1_XPM.xpm"
////Header Include End

//----------------------------------------------------------------------------
// AboutFrm
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(AboutFrm,wxFrame)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(AboutFrm::OnClose)
	EVT_BUTTON(ID_WXBUTTON1,AboutFrm::WxButton1Click)
END_EVENT_TABLE()
////Event Table End

AboutFrm::AboutFrm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxFrame(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

AboutFrm::~AboutFrm()
{
}

void AboutFrm::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	SetTitle(wxT("About VEDrawing"));
	SetIcon(wxNullIcon);
	SetSize(8,8,320,207);
	Center();
	

	wxBitmap WxStaticBitmap1_BITMAP(AboutFrm_WxStaticBitmap1_XPM);
	WxStaticBitmap1 = new wxStaticBitmap(this, ID_WXSTATICBITMAP1, WxStaticBitmap1_BITMAP, wxPoint(17,27), wxSize(32,32));
	WxStaticBitmap1->Enable(false);
	WxStaticBitmap1->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	WxStaticText7 = new wxStaticText(this, ID_WXSTATICTEXT7, wxT("Homepage:  http://www.tdsystems.okamzite.eu"), wxPoint(10,116), wxDefaultSize, 0, wxT("WxStaticText7"));
	WxStaticText7->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	WxStaticText6 = new wxStaticText(this, ID_WXSTATICTEXT6, wxT("Build: 117"), wxPoint(77,42), wxDefaultSize, 0, wxT("WxStaticText6"));
	WxStaticText6->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	WxStaticText5 = new wxStaticText(this, ID_WXSTATICTEXT5, wxT("Author: Tomas Dlouhy (mail: dlouht1@fel.cvut.cz)"), wxPoint(10,97), wxDefaultSize, 0, wxT("WxStaticText5"));
	WxStaticText5->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	WxStaticText4 = new wxStaticText(this, ID_WXSTATICTEXT4, wxT("This is part of semestr project from Y36PJC in 2008/2009."), wxPoint(10,80), wxDefaultSize, 0, wxT("WxStaticText4"));
	WxStaticText4->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	WxStaticText3 = new wxStaticText(this, ID_WXSTATICTEXT3, wxT("Date: 18.1.2009"), wxPoint(76,59), wxDefaultSize, 0, wxT("WxStaticText3"));
	WxStaticText3->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	WxStaticText2 = new wxStaticText(this, ID_WXSTATICTEXT2, wxT("Version: 1.0"), wxPoint(76,24), wxDefaultSize, 0, wxT("WxStaticText2"));
	WxStaticText2->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	WxStaticText1 = new wxStaticText(this, ID_WXSTATICTEXT1, wxT("VEDrawing"), wxPoint(11,7), wxDefaultSize, 0, wxT("WxStaticText1"));
	WxStaticText1->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, false, wxT("Tahoma")));

	WxButton1 = new wxButton(this, ID_WXBUTTON1, wxT("Close"), wxPoint(231,145), wxSize(75,25), 0, wxDefaultValidator, wxT("WxButton1"));
	WxButton1->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));
	////GUI Items Creation End
}

void AboutFrm::OnClose(wxCloseEvent& event)
{
	Destroy();
}

/*
 * WxButton1Click
 */
void AboutFrm::WxButton1Click(wxCommandEvent& event)
{
	Close();
}
