//---------------------------------------------------------------------------
//
// Name:        VEDrawingFrm.cpp
// Author:      Tom Dlouh
// Created:     17.2.2009 17:13:29
// Description: VEDrawingFrm class implementation
//
//---------------------------------------------------------------------------

#include "VEDrawingFrm.h"
#include "About1Frm.h"

//Do not add custom headers between
//Header Include Start and Header Include End
//wxDev-C++ designer will remove them
////Header Include Start
#include "Images/VEDrawingFrm_ID_MNU_NEW_1006_XPM.xpm"
#include "Images/VEDrawingFrm_ID_MNU_SAVE_1007_XPM.xpm"
#include "Images/VEDrawingFrm_ID_MNU_EXIT_1008_XPM.xpm"
#include "Images/VEDrawingFrm_ID_MNU_BACK_1084_XPM.xpm"
#include "Images/VEDrawingFrm_ID_MNU_UNDO_1085_XPM.xpm"
#include "Images/VEDrawingFrm_ID_MNU_LINE_1016_XPM.xpm"
#include "Images/VEDrawingFrm_ID_MNU_RECTANGLE_1017_XPM.xpm"
#include "Images/VEDrawingFrm_ID_MNU_CIRCLE_1018_XPM.xpm"
#include "Images/VEDrawingFrm_ID_MNU_POLYLINE_1019_XPM.xpm"
#include "Images/VEDrawingFrm_ID_MNU_ROUNDRECTANGLE_1071_XPM.xpm"
#include "Images/VEDrawingFrm_ID_MNU_ELLIPSA_1072_XPM.xpm"
#include "Images/VEDrawingFrm_ID_MNU_SETFOREGROUND_1010_XPM.xpm"
#include "Images/VEDrawingFrm_ID_MNU_SETBACKGROUND_1011_XPM.xpm"

#include "Images/VEDrawingFrm_WxToolButton5_XPM.xpm"
#include "Images/VEDrawingFrm_WxToolButton2_XPM.xpm"
#include "Images/VEDrawingFrm_PolyBtn_XPM.xpm"
#include "Images/VEDrawingFrm_CirBtn_XPM.xpm"
#include "Images/VEDrawingFrm_RoundBtn_XPM.xpm"
#include "Images/VEDrawingFrm_RectBtn_XPM.xpm"
#include "Images/VEDrawingFrm_LnBtn_XPM.xpm"
#include "Images/VEDrawingFrm_BTNFORW_XPM.xpm"
#include "Images/VEDrawingFrm_BTNBACK_XPM.xpm"
#include "Images/VEDrawingFrm_CloseBtn_XPM.xpm"
#include "Images/VEDrawingFrm_SaveBtn_XPM.xpm"
#include "Images/VEDrawingFrm_WxToolButton1_XPM.xpm"
////Header Include End

//----------------------------------------------------------------------------
// VEDrawingFrm
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(VEDrawingFrm,wxFrame)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(VEDrawingFrm::OnClose)
	EVT_MOTION(VEDrawingFrm::VEDrawingFrmMouseMotion)
	EVT_ACTIVATE(VEDrawingFrm::VEDrawingFrmActivate)
	EVT_MENU(ID_MNU_NEW_1006, VEDrawingFrm::WxToggleButton1Click)
	EVT_MENU(ID_MNU_SAVE_1007, VEDrawingFrm::SaveBtnClick)
	EVT_MENU(ID_MNU_EXIT_1008, VEDrawingFrm::CloseBtnClick)
	EVT_MENU(ID_MNU_BACK_1084, VEDrawingFrm::WxToolButton4Click1)
	EVT_MENU(ID_MNU_UNDO_1085, VEDrawingFrm::WxToolButton3Click)
	EVT_MENU(ID_MNU_LINE_1016, VEDrawingFrm::WxToolButton5Click)
	EVT_MENU(ID_MNU_RECTANGLE_1017, VEDrawingFrm::WxToolButton6Click)
	EVT_MENU(ID_MNU_CIRCLE_1018, VEDrawingFrm::WxToolButton7Click)
	EVT_MENU(ID_MNU_POLYLINE_1019, VEDrawingFrm::WxToolButton8Click)
	EVT_MENU(ID_MNU_ROUNDRECTANGLE_1071, VEDrawingFrm::RoundBtnClick)
	EVT_MENU(ID_MNU_SETFOREGROUND_1010, VEDrawingFrm::setForegroundClick)
	EVT_MENU(ID_MNU_SETBACKGROUND_1011, VEDrawingFrm::setBackgroundClick)
	EVT_MENU(ID_MNU_SOLID_1013, VEDrawingFrm::SolidMenu)
	EVT_MENU(ID_MNU_DOT_1062, VEDrawingFrm::DotMenu1)
	EVT_MENU(ID_MNU_SHORTDASH_1063, VEDrawingFrm::SDMenu)
	EVT_MENU(ID_MNU_DASH_1064, VEDrawingFrm::DMenu)
	EVT_MENU(ID_MNU_LONGDASH_1065, VEDrawingFrm::LDMenu)
	EVT_MENU(ID_MNU_DOTDASH_1066, VEDrawingFrm::DDMenu)
	EVT_MENU(ID_MNU_STIPPLE_1067, VEDrawingFrm::STMenu)
	EVT_MENU(ID_MNU_CROSSHATCH_1068, VEDrawingFrm::CHMenu)
	EVT_MENU(ID_MNU_HORIZONTALHATCH_1069, VEDrawingFrm::HHMenu)
	EVT_MENU(ID_MNU_VERTICALHATCH_1070, VEDrawingFrm::VHMenu)
	EVT_MENU(ID_MNU_SOLID_1077, VEDrawingFrm::BgSolid)
	EVT_MENU(ID_MNU_TRANSPARENT_1078, VEDrawingFrm::BgTrans)
	EVT_MENU(ID_MNU_STIPPLE_1079, VEDrawingFrm::BgStip)
	EVT_MENU(ID_MNU_CROSSHATCH_1080, VEDrawingFrm::BgCH)
	EVT_MENU(ID_MNU_HORIZONTALHATCH_1081, VEDrawingFrm::BgHH)
	EVT_MENU(ID_MNU_VERTICALHATCH_1082, VEDrawingFrm::BgVH)
	EVT_MENU(ID_MNU_ABOUTVEDRAWING_1005, VEDrawingFrm::ShowAbout)
	EVT_SPINCTRL(ID_ROUNDSPIN,VEDrawingFrm::RoundSpinUpdated)
	EVT_MENU(ID_WXTOOLBUTTON5,VEDrawingFrm::setBackgroundClick)
	EVT_MENU(ID_WXTOOLBUTTON2,VEDrawingFrm::setForegroundClick)
	EVT_SPINCTRL(ID_PENWIDTH,VEDrawingFrm::penWidthUpdated)
	EVT_TOGGLEBUTTON(ID_WXTOGGLEBUTTON1,VEDrawingFrm::WxToggleButton1Click)
	EVT_MENU(ID_POLYBTN,VEDrawingFrm::WxToolButton8Click)
	EVT_MENU(ID_CIRBTN,VEDrawingFrm::WxToolButton7Click)
	EVT_MENU(ID_ROUND,VEDrawingFrm::RoundBtnClick)
	EVT_MENU(ID_RECTBTN,VEDrawingFrm::WxToolButton6Click)
	EVT_MENU(ID_LNBTN,VEDrawingFrm::WxToolButton5Click)
	EVT_MENU(ID_BTNFORW,VEDrawingFrm::WxToolButton3Click)
	EVT_MENU(ID_BTNBACK,VEDrawingFrm::WxToolButton4Click1)
	EVT_MENU(ID_CLOSEBTN,VEDrawingFrm::CloseBtnClick)
	EVT_MENU(ID_SAVEBTN,VEDrawingFrm::SaveBtnClick)
	EVT_MENU(ID_WXTOOLBUTTON1,VEDrawingFrm::WxToolButton1Click)
END_EVENT_TABLE()
////Event Table End

int VEDrawingFrm::arrSize;
int VEDrawingFrm::itemsCount = -1;
int VEDrawingFrm::backCount = 0;
int VEDrawingFrm::select = -1;
int VEDrawingFrm::selObj = -1;
int VEDrawingFrm::lastSelObj = -1;


VEDrawingFrm::VEDrawingFrm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxFrame(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

VEDrawingFrm::~VEDrawingFrm()
{
        for(int g = 0; g < itemsCount ; g ++ ) {
            delete arrObj[g];
        }
        delete []arrObj;
      
        for(int f = 0; f < backCount ; f ++ ) {
            delete arrBack[f];
        }
        
        delete []arrBack;
       
}

void VEDrawingFrm::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	paintspace = new wxStaticBitmap(this, ID_SPACE, wxNullBitmap, wxPoint(12, 77), wxSize(295, 253) );
	paintspace->Enable(false);

	WxToolBar1 = new wxToolBar(this, ID_WXTOOLBAR1, wxPoint(0, 0), wxSize(792, 36));

	wxBitmap WxToolButton1_BITMAP (VEDrawingFrm_WxToolButton1_XPM);
	wxBitmap WxToolButton1_DISABLE_BITMAP (wxNullBitmap);
	WxToolBar1->AddTool(ID_WXTOOLBUTTON1, wxT(""), WxToolButton1_BITMAP, WxToolButton1_DISABLE_BITMAP, wxITEM_NORMAL, wxT("New document"), wxT(""));

	wxBitmap SaveBtn_BITMAP (VEDrawingFrm_SaveBtn_XPM);
	wxBitmap SaveBtn_DISABLE_BITMAP (wxNullBitmap);
	WxToolBar1->AddTool(ID_SAVEBTN, wxT(""), SaveBtn_BITMAP, SaveBtn_DISABLE_BITMAP, wxITEM_NORMAL, wxT("Save to file"), wxT(""));

	wxBitmap CloseBtn_BITMAP (VEDrawingFrm_CloseBtn_XPM);
	wxBitmap CloseBtn_DISABLE_BITMAP (wxNullBitmap);
	WxToolBar1->AddTool(ID_CLOSEBTN, wxT(""), CloseBtn_BITMAP, CloseBtn_DISABLE_BITMAP, wxITEM_NORMAL, wxT("Close program"), wxT(""));

	WxToolBar1->AddSeparator();

	wxBitmap BTNBACK_BITMAP (VEDrawingFrm_BTNBACK_XPM);
	wxBitmap BTNBACK_DISABLE_BITMAP (wxNullBitmap);
	WxToolBar1->AddTool(ID_BTNBACK, wxT(""), BTNBACK_BITMAP, BTNBACK_DISABLE_BITMAP, wxITEM_NORMAL, wxT("Back"), wxT(""));

	wxBitmap BTNFORW_BITMAP (VEDrawingFrm_BTNFORW_XPM);
	wxBitmap BTNFORW_DISABLE_BITMAP (wxNullBitmap);
	WxToolBar1->AddTool(ID_BTNFORW, wxT(""), BTNFORW_BITMAP, BTNFORW_DISABLE_BITMAP, wxITEM_NORMAL, wxT("Undo"), wxT(""));

	WxToolBar1->AddSeparator();

	wxBitmap LnBtn_BITMAP (VEDrawingFrm_LnBtn_XPM);
	wxBitmap LnBtn_DISABLE_BITMAP (wxNullBitmap);
	WxToolBar1->AddTool(ID_LNBTN, wxT(""), LnBtn_BITMAP, LnBtn_DISABLE_BITMAP, wxITEM_NORMAL, wxT("Line"), wxT(""));

	wxBitmap RectBtn_BITMAP (VEDrawingFrm_RectBtn_XPM);
	wxBitmap RectBtn_DISABLE_BITMAP (wxNullBitmap);
	WxToolBar1->AddTool(ID_RECTBTN, wxT(""), RectBtn_BITMAP, RectBtn_DISABLE_BITMAP, wxITEM_NORMAL, wxT("Rectangle"), wxT(""));

	wxBitmap RoundBtn_BITMAP (VEDrawingFrm_RoundBtn_XPM);
	wxBitmap RoundBtn_DISABLE_BITMAP (wxNullBitmap);
	WxToolBar1->AddTool(ID_ROUND, wxT(""), RoundBtn_BITMAP, RoundBtn_DISABLE_BITMAP, wxITEM_NORMAL, wxT("Round Rectangle"), wxT(""));

	wxBitmap CirBtn_BITMAP (VEDrawingFrm_CirBtn_XPM);
	wxBitmap CirBtn_DISABLE_BITMAP (wxNullBitmap);
	WxToolBar1->AddTool(ID_CIRBTN, wxT(""), CirBtn_BITMAP, CirBtn_DISABLE_BITMAP, wxITEM_NORMAL, wxT("Circle"), wxT(""));

	wxBitmap PolyBtn_BITMAP (VEDrawingFrm_PolyBtn_XPM);
	wxBitmap PolyBtn_DISABLE_BITMAP (wxNullBitmap);
	WxToolBar1->AddTool(ID_POLYBTN, wxT(""), PolyBtn_BITMAP, PolyBtn_DISABLE_BITMAP, wxITEM_NORMAL, wxT("Pen"), wxT(""));

	WxToolBar1->AddSeparator();

	WxToggleButton1 = new wxToggleButton(WxToolBar1, ID_WXTOGGLEBUTTON1, wxT("Edit Objects"), wxPoint(392, 0), wxSize(75, 22), 0, wxDefaultValidator, wxT("WxToggleButton1"));
	WxToggleButton1->SetToolTip(wxT("Allow edit mode"));
	WxToolBar1->AddControl(WxToggleButton1);

	penWidth = new wxSpinCtrl(WxToolBar1, ID_PENWIDTH, wxT("1"), wxPoint(467, 0), wxSize(60, 22), wxSP_ARROW_KEYS, 1, 100, 1);
	penWidth->SetToolTip(wxT("Pen width"));
	WxToolBar1->AddControl(penWidth);

	WxToolBar1->AddSeparator();

	BGCOL = new wxTextCtrl(WxToolBar1, ID_FGCOL, wxT(""), wxPoint(551, 0), wxSize(32, 22), wxTE_READONLY, wxDefaultValidator, wxT("BGCOL"));
	BGCOL->SetBackgroundColour(wxColour(*wxBLACK));
	WxToolBar1->AddControl(BGCOL);

	wxBitmap WxToolButton2_BITMAP (VEDrawingFrm_WxToolButton2_XPM);
	wxBitmap WxToolButton2_DISABLE_BITMAP (wxNullBitmap);
	WxToolBar1->AddTool(ID_WXTOOLBUTTON2, wxT(""), WxToolButton2_BITMAP, WxToolButton2_DISABLE_BITMAP, wxITEM_NORMAL, wxT("Background"), wxT(""));

	WxToolBar1->AddSeparator();

	FGCOL = new wxTextCtrl(WxToolBar1, ID_BGCOL, wxT(""), wxPoint(640, 0), wxSize(32, 22), wxTE_READONLY, wxDefaultValidator, wxT("FGCOL"));
	FGCOL->SetBackgroundColour(wxColour(*wxBLACK));
	WxToolBar1->AddControl(FGCOL);

	wxBitmap WxToolButton5_BITMAP (VEDrawingFrm_WxToolButton5_XPM);
	wxBitmap WxToolButton5_DISABLE_BITMAP (wxNullBitmap);
	WxToolBar1->AddTool(ID_WXTOOLBUTTON5, wxT(""), WxToolButton5_BITMAP, WxToolButton5_DISABLE_BITMAP, wxITEM_NORMAL, wxT("Foreground"), wxT(""));

	WxToolBar1->AddSeparator();

	RoundSpin = new wxSpinCtrl(WxToolBar1, ID_ROUNDSPIN, wxT("8"), wxPoint(729, 0), wxSize(60, 22), wxSP_ARROW_KEYS, 0, 100, 8);
	RoundSpin->SetToolTip(wxT("Round"));
	WxToolBar1->AddControl(RoundSpin);

	SB = new wxStatusBar(this, ID_SB);
	SB->SetToolTip(wxT("Text"));

	dgFgcol =  new wxColourDialog(this);

	dgBgcol =  new wxColourDialog(this);

	WxMenuBar1 = new wxMenuBar();
	wxMenu *ID_MNU_FILE_1001_Mnu_Obj = new wxMenu(0);
	wxMenuItem * ID_MNU_NEW_1006_mnuItem_obj = new wxMenuItem (ID_MNU_FILE_1001_Mnu_Obj, ID_MNU_NEW_1006, wxT("New"), wxT(""), wxITEM_NORMAL);
	wxBitmap ID_MNU_NEW_1006_mnuItem_obj_BMP(VEDrawingFrm_ID_MNU_NEW_1006_XPM);
	ID_MNU_NEW_1006_mnuItem_obj->SetBitmap(ID_MNU_NEW_1006_mnuItem_obj_BMP);
	ID_MNU_FILE_1001_Mnu_Obj->Append(ID_MNU_NEW_1006_mnuItem_obj);
	wxMenuItem * ID_MNU_SAVE_1007_mnuItem_obj = new wxMenuItem (ID_MNU_FILE_1001_Mnu_Obj, ID_MNU_SAVE_1007, wxT("Save"), wxT(""), wxITEM_NORMAL);
	wxBitmap ID_MNU_SAVE_1007_mnuItem_obj_BMP(VEDrawingFrm_ID_MNU_SAVE_1007_XPM);
	ID_MNU_SAVE_1007_mnuItem_obj->SetBitmap(ID_MNU_SAVE_1007_mnuItem_obj_BMP);
	ID_MNU_FILE_1001_Mnu_Obj->Append(ID_MNU_SAVE_1007_mnuItem_obj);
	wxMenuItem * ID_MNU_EXIT_1008_mnuItem_obj = new wxMenuItem (ID_MNU_FILE_1001_Mnu_Obj, ID_MNU_EXIT_1008, wxT("Exit"), wxT(""), wxITEM_NORMAL);
	wxBitmap ID_MNU_EXIT_1008_mnuItem_obj_BMP(VEDrawingFrm_ID_MNU_EXIT_1008_XPM);
	ID_MNU_EXIT_1008_mnuItem_obj->SetBitmap(ID_MNU_EXIT_1008_mnuItem_obj_BMP);
	ID_MNU_FILE_1001_Mnu_Obj->Append(ID_MNU_EXIT_1008_mnuItem_obj);
	WxMenuBar1->Append(ID_MNU_FILE_1001_Mnu_Obj, wxT("File"));
	
	wxMenu *ID_MNU_EDIT_1083_Mnu_Obj = new wxMenu(0);
	wxMenuItem * ID_MNU_BACK_1084_mnuItem_obj = new wxMenuItem (ID_MNU_EDIT_1083_Mnu_Obj, ID_MNU_BACK_1084, wxT("Back"), wxT(""), wxITEM_NORMAL);
	wxBitmap ID_MNU_BACK_1084_mnuItem_obj_BMP(VEDrawingFrm_ID_MNU_BACK_1084_XPM);
	ID_MNU_BACK_1084_mnuItem_obj->SetBitmap(ID_MNU_BACK_1084_mnuItem_obj_BMP);
	ID_MNU_EDIT_1083_Mnu_Obj->Append(ID_MNU_BACK_1084_mnuItem_obj);
	wxMenuItem * ID_MNU_UNDO_1085_mnuItem_obj = new wxMenuItem (ID_MNU_EDIT_1083_Mnu_Obj, ID_MNU_UNDO_1085, wxT("Undo"), wxT(""), wxITEM_NORMAL);
	wxBitmap ID_MNU_UNDO_1085_mnuItem_obj_BMP(VEDrawingFrm_ID_MNU_UNDO_1085_XPM);
	ID_MNU_UNDO_1085_mnuItem_obj->SetBitmap(ID_MNU_UNDO_1085_mnuItem_obj_BMP);
	ID_MNU_EDIT_1083_Mnu_Obj->Append(ID_MNU_UNDO_1085_mnuItem_obj);
	WxMenuBar1->Append(ID_MNU_EDIT_1083_Mnu_Obj, wxT("Edit"));
	
	wxMenu *ID_MNU_INSERT_1002_Mnu_Obj = new wxMenu(0);
	wxMenuItem * ID_MNU_LINE_1016_mnuItem_obj = new wxMenuItem (ID_MNU_INSERT_1002_Mnu_Obj, ID_MNU_LINE_1016, wxT("Line"), wxT(""), wxITEM_NORMAL);
	wxBitmap ID_MNU_LINE_1016_mnuItem_obj_BMP(VEDrawingFrm_ID_MNU_LINE_1016_XPM);
	ID_MNU_LINE_1016_mnuItem_obj->SetBitmap(ID_MNU_LINE_1016_mnuItem_obj_BMP);
	ID_MNU_INSERT_1002_Mnu_Obj->Append(ID_MNU_LINE_1016_mnuItem_obj);
	wxMenuItem * ID_MNU_RECTANGLE_1017_mnuItem_obj = new wxMenuItem (ID_MNU_INSERT_1002_Mnu_Obj, ID_MNU_RECTANGLE_1017, wxT("Rectangle"), wxT(""), wxITEM_NORMAL);
	wxBitmap ID_MNU_RECTANGLE_1017_mnuItem_obj_BMP(VEDrawingFrm_ID_MNU_RECTANGLE_1017_XPM);
	ID_MNU_RECTANGLE_1017_mnuItem_obj->SetBitmap(ID_MNU_RECTANGLE_1017_mnuItem_obj_BMP);
	ID_MNU_INSERT_1002_Mnu_Obj->Append(ID_MNU_RECTANGLE_1017_mnuItem_obj);
	wxMenuItem * ID_MNU_CIRCLE_1018_mnuItem_obj = new wxMenuItem (ID_MNU_INSERT_1002_Mnu_Obj, ID_MNU_CIRCLE_1018, wxT("Circle"), wxT(""), wxITEM_NORMAL);
	wxBitmap ID_MNU_CIRCLE_1018_mnuItem_obj_BMP(VEDrawingFrm_ID_MNU_CIRCLE_1018_XPM);
	ID_MNU_CIRCLE_1018_mnuItem_obj->SetBitmap(ID_MNU_CIRCLE_1018_mnuItem_obj_BMP);
	ID_MNU_INSERT_1002_Mnu_Obj->Append(ID_MNU_CIRCLE_1018_mnuItem_obj);
	wxMenuItem * ID_MNU_POLYLINE_1019_mnuItem_obj = new wxMenuItem (ID_MNU_INSERT_1002_Mnu_Obj, ID_MNU_POLYLINE_1019, wxT("Polyline"), wxT(""), wxITEM_NORMAL);
	wxBitmap ID_MNU_POLYLINE_1019_mnuItem_obj_BMP(VEDrawingFrm_ID_MNU_POLYLINE_1019_XPM);
	ID_MNU_POLYLINE_1019_mnuItem_obj->SetBitmap(ID_MNU_POLYLINE_1019_mnuItem_obj_BMP);
	ID_MNU_INSERT_1002_Mnu_Obj->Append(ID_MNU_POLYLINE_1019_mnuItem_obj);
	wxMenuItem * ID_MNU_ROUNDRECTANGLE_1071_mnuItem_obj = new wxMenuItem (ID_MNU_INSERT_1002_Mnu_Obj, ID_MNU_ROUNDRECTANGLE_1071, wxT("Round Rectangle"), wxT(""), wxITEM_NORMAL);
	wxBitmap ID_MNU_ROUNDRECTANGLE_1071_mnuItem_obj_BMP(VEDrawingFrm_ID_MNU_ROUNDRECTANGLE_1071_XPM);
	ID_MNU_ROUNDRECTANGLE_1071_mnuItem_obj->SetBitmap(ID_MNU_ROUNDRECTANGLE_1071_mnuItem_obj_BMP);
	ID_MNU_INSERT_1002_Mnu_Obj->Append(ID_MNU_ROUNDRECTANGLE_1071_mnuItem_obj);
	wxMenuItem * ID_MNU_ELLIPSA_1072_mnuItem_obj = new wxMenuItem (ID_MNU_INSERT_1002_Mnu_Obj, ID_MNU_ELLIPSA_1072, wxT("Ellipse"), wxT(""), wxITEM_NORMAL);
	wxBitmap ID_MNU_ELLIPSA_1072_mnuItem_obj_BMP(VEDrawingFrm_ID_MNU_ELLIPSA_1072_XPM);
	ID_MNU_ELLIPSA_1072_mnuItem_obj->SetBitmap(ID_MNU_ELLIPSA_1072_mnuItem_obj_BMP);
	ID_MNU_INSERT_1002_Mnu_Obj->Append(ID_MNU_ELLIPSA_1072_mnuItem_obj);
	WxMenuBar1->Append(ID_MNU_INSERT_1002_Mnu_Obj, wxT("Add"));
	
	wxMenu *ID_MNU_EDIT_1003_Mnu_Obj = new wxMenu(0);
	
	wxMenu *ID_MNU_COLORS_1009_Mnu_Obj = new wxMenu(0);
	wxMenuItem * ID_MNU_SETFOREGROUND_1010_mnuItem_obj = new wxMenuItem (ID_MNU_COLORS_1009_Mnu_Obj, ID_MNU_SETFOREGROUND_1010, wxT("Set Foreground"), wxT(""), wxITEM_NORMAL);
	wxBitmap ID_MNU_SETFOREGROUND_1010_mnuItem_obj_BMP(VEDrawingFrm_ID_MNU_SETFOREGROUND_1010_XPM);
	ID_MNU_SETFOREGROUND_1010_mnuItem_obj->SetBitmap(ID_MNU_SETFOREGROUND_1010_mnuItem_obj_BMP);
	ID_MNU_COLORS_1009_Mnu_Obj->Append(ID_MNU_SETFOREGROUND_1010_mnuItem_obj);
	wxMenuItem * ID_MNU_SETBACKGROUND_1011_mnuItem_obj = new wxMenuItem (ID_MNU_COLORS_1009_Mnu_Obj, ID_MNU_SETBACKGROUND_1011, wxT("Set Background"), wxT(""), wxITEM_NORMAL);
	wxBitmap ID_MNU_SETBACKGROUND_1011_mnuItem_obj_BMP(VEDrawingFrm_ID_MNU_SETBACKGROUND_1011_XPM);
	ID_MNU_SETBACKGROUND_1011_mnuItem_obj->SetBitmap(ID_MNU_SETBACKGROUND_1011_mnuItem_obj_BMP);
	ID_MNU_COLORS_1009_Mnu_Obj->Append(ID_MNU_SETBACKGROUND_1011_mnuItem_obj);
	ID_MNU_EDIT_1003_Mnu_Obj->Append(ID_MNU_COLORS_1009, wxT("Colors"), ID_MNU_COLORS_1009_Mnu_Obj);
	
	wxMenu *ID_MNU_FILL_1012_Mnu_Obj = new wxMenu(0);
	ID_MNU_FILL_1012_Mnu_Obj->Append(ID_MNU_SOLID_1013, wxT("Solid"), wxT(""), wxITEM_NORMAL);
	ID_MNU_FILL_1012_Mnu_Obj->Append(ID_MNU_DOT_1062, wxT("Dot"), wxT(""), wxITEM_NORMAL);
	ID_MNU_FILL_1012_Mnu_Obj->Append(ID_MNU_SHORTDASH_1063, wxT("Short dash"), wxT(""), wxITEM_NORMAL);
	ID_MNU_FILL_1012_Mnu_Obj->Append(ID_MNU_DASH_1064, wxT("Dash"), wxT(""), wxITEM_NORMAL);
	ID_MNU_FILL_1012_Mnu_Obj->Append(ID_MNU_LONGDASH_1065, wxT("Long Dash"), wxT(""), wxITEM_NORMAL);
	ID_MNU_FILL_1012_Mnu_Obj->Append(ID_MNU_DOTDASH_1066, wxT("Dot Dash"), wxT(""), wxITEM_NORMAL);
	ID_MNU_FILL_1012_Mnu_Obj->Append(ID_MNU_STIPPLE_1067, wxT("Stipple"), wxT(""), wxITEM_NORMAL);
	ID_MNU_FILL_1012_Mnu_Obj->Append(ID_MNU_CROSSHATCH_1068, wxT("Cross hatch"), wxT(""), wxITEM_NORMAL);
	ID_MNU_FILL_1012_Mnu_Obj->Append(ID_MNU_HORIZONTALHATCH_1069, wxT("Horizontal hatch"), wxT(""), wxITEM_NORMAL);
	ID_MNU_FILL_1012_Mnu_Obj->Append(ID_MNU_VERTICALHATCH_1070, wxT("Vertical hatch"), wxT(""), wxITEM_NORMAL);
	ID_MNU_EDIT_1003_Mnu_Obj->Append(ID_MNU_FILL_1012, wxT("Pen style"), ID_MNU_FILL_1012_Mnu_Obj);
	
	wxMenu *ID_MNU_OBJECTFILL_1076_Mnu_Obj = new wxMenu(0);
	ID_MNU_OBJECTFILL_1076_Mnu_Obj->Append(ID_MNU_SOLID_1077, wxT("Solid"), wxT(""), wxITEM_NORMAL);
	ID_MNU_OBJECTFILL_1076_Mnu_Obj->Append(ID_MNU_TRANSPARENT_1078, wxT("Transparent"), wxT(""), wxITEM_NORMAL);
	ID_MNU_OBJECTFILL_1076_Mnu_Obj->Append(ID_MNU_STIPPLE_1079, wxT("Stipple"), wxT(""), wxITEM_NORMAL);
	ID_MNU_OBJECTFILL_1076_Mnu_Obj->Append(ID_MNU_CROSSHATCH_1080, wxT("Cross hatch"), wxT(""), wxITEM_NORMAL);
	ID_MNU_OBJECTFILL_1076_Mnu_Obj->Append(ID_MNU_HORIZONTALHATCH_1081, wxT("Horizontal hatch"), wxT(""), wxITEM_NORMAL);
	ID_MNU_OBJECTFILL_1076_Mnu_Obj->Append(ID_MNU_VERTICALHATCH_1082, wxT("Vertical hatch"), wxT(""), wxITEM_NORMAL);
	ID_MNU_EDIT_1003_Mnu_Obj->Append(ID_MNU_OBJECTFILL_1076, wxT("Object Fill"), ID_MNU_OBJECTFILL_1076_Mnu_Obj);
	WxMenuBar1->Append(ID_MNU_EDIT_1003_Mnu_Obj, wxT("Set"));
	
	wxMenu *ID_MNU_HELP_1004_Mnu_Obj = new wxMenu(0);
	ID_MNU_HELP_1004_Mnu_Obj->Append(ID_MNU_ABOUTVEDRAWING_1005, wxT("About VEDrawing"), wxT(""), wxITEM_NORMAL);
	WxMenuBar1->Append(ID_MNU_HELP_1004_Mnu_Obj, wxT("Help"));
	SetMenuBar(WxMenuBar1);

	svDialog =  new wxFileDialog(this, wxT("Choose a file"), wxT(""), wxT("untitled.bmp"), wxT("*.bmp"), wxSAVE);

	SetStatusBar(SB);
	WxToolBar1->SetToolBitmapSize(wxSize(22,22));
	WxToolBar1->SetToolSeparation(25);
	WxToolBar1->Realize();
	SetToolBar(WxToolBar1);
	SetTitle(wxT("VEDrawing 1.0"));
	SetIcon(wxNullIcon);
	SetSize(8,5,800,600);
	Center();
	
	////GUI Items Creation End
	
	nowDraw = false;
	
    arrBack = new Object*[0] ;     
    arrObj = new Object*[arrSize] ;
    
	WxToolBar1->EnableTool(ID_BTNBACK, false);
    WxToolBar1->EnableTool(ID_BTNFORW, false);    
    WxToolBar1->Realize();	
    
    tool = line; 	
    
}

void VEDrawingFrm::OnClose(wxCloseEvent& event)
{
	Destroy();
}

/*
 * CloseClick
 */
void VEDrawingFrm::CloseClick(wxCommandEvent& event)
{
//	close();
}

/*
 * CloseBtnClick
 */
void VEDrawingFrm::CloseBtnClick(wxCommandEvent& event)
{
	Close();
}

/*
 * WxToolButton4Click1
 */
void VEDrawingFrm::WxToolButton4Click1(wxCommandEvent& event)
{
    if(itemsCount < 10 && itemsCount > -1) {
        arrBack[backCount] = arrObj[itemsCount];
        backCount ++;
        itemsCount --;
        paint(true);
        setEditButtons();
    }
}

/*
 * WxToolButton2Click
 */
void VEDrawingFrm::WxToolButton2Click(wxCommandEvent& event)
{
	// insert your code here
}

/*
 * SaveBtnClick
 */
void VEDrawingFrm::SaveBtnClick(wxCommandEvent& event)
{
    SB->SetStatusText("Saving...", 0);
    if (svDialog->ShowModal() == wxID_OK) {
        wxSize myClientSize = GetClientSize();
        wxClientDC myDC(paintspace);
        wxMemoryDC myMemDC;
        
        wxBitmap * pic = new wxBitmap(myClientSize.GetWidth(), myClientSize.GetHeight() );
        myMemDC.SelectObject(* pic);
        
        myMemDC.SetBackground(wxColour(255,255,255));
        myMemDC.Clear();
        for (int i=0; i<=itemsCount;i++) {
            arrObj[i]->paint(myMemDC, 0);
        }
        pic->SaveFile((svDialog->GetDirectory()+"/"+svDialog->GetFilename()), wxBITMAP_TYPE_BMP);
        delete pic;
        SB->SetStatusText("Saved to: "+svDialog->GetDirectory()+"/"+svDialog->GetFilename(), 0);
    }
}

void VEDrawingFrm::paint() {
    paint(false);
}

void VEDrawingFrm::paint(bool repaint) {
    
    if(nowDraw == true || repaint ) {
        wxSize myClientSize = GetClientSize();
        wxClientDC myDC(paintspace);
        wxMemoryDC myMemDC;
        wxBitmap * pic = new wxBitmap(myClientSize.GetWidth(),myClientSize.GetHeight());
        myMemDC.SelectObject(* pic);
    
        myMemDC.SetBackground(wxColour(255,255,255));
        myMemDC.Clear();
        for(int i = 0 ; i <= itemsCount ; i ++ ) {
                arrObj[i]->paint(myMemDC, select);
        }
        
        myDC.Blit(0, 0, myClientSize.GetWidth(), myClientSize.GetHeight(), &myMemDC, 0, 0);
        myMemDC.SelectObject(wxNullBitmap);
        
        delete pic;
    }
    
}

void VEDrawingFrm::addObj(Object * res) {
    if(arrSize == 1 + itemsCount) {
        arrSize = 2* arrSize;
        Object ** mat = new Object*[ arrSize ];
        for ( int i = 0; i < itemsCount; i ++ ) {
            mat[i] = arrObj[i];
        }
        arrObj = mat;
    }
    arrObj[itemsCount] = res;
}

/*
 * VEDrawingFrmActivate
 */
void VEDrawingFrm::VEDrawingFrmActivate(wxActivateEvent& event)
{
	// insert your code here
}

/*
 * WxToolButton5Click
 */
void VEDrawingFrm::WxToolButton5Click(wxCommandEvent& event)
{
    WxToggleButton1->SetValue(0);    
    select = -1;
    tool = line;
    nowDraw = false;
    SB->SetStatusText("Selected tool: Line", 0);
}

/*
 * VEDrawingFrmMouseMotion
 */
void VEDrawingFrm::VEDrawingFrmMouseMotion(wxMouseEvent& event)
{
    int xx = event.GetPosition().x;
    int yy = event.GetPosition().y;
    Point bod(xx,yy);
    Point bodNull(-20,-20);
       if (tool == selector) {
            
            if(selObj == -1) {
                 if( event.Dragging() ) {
                    for(int i = 0 ; i <= itemsCount ; i ++ ) {
                        if(arrObj[i]->isPoint(bod)) {
                            selObj = i;  
                        }
                    }
                }
            } else if( event.Dragging() ) {
                arrObj[selObj]->setUpdatePoint(bod);
            } else {
                lastSelObj = selObj;
                selObj = -1;
            }
         paint(true);
       } else {                
            if( event.Dragging() ) {
                    if(nowDraw == false) {
                        itemsCount ++;
                        delBack();
    
                        if(tool == line) {
                            addObj(new Line(bod));
                        } else if(tool == circle) {
                            addObj(new Circle(bod));
                        } else if(tool == rrect) {
                            addObj(new RRect(bod));
                            arrObj[itemsCount]->setRound(RoundSpin->GetValue());
                        } else if(tool == ellipse) {
                            addObj(new Ellip(bod));
                        } else if(tool == rectangle) {
                            addObj(new Rect(bod));
                        } else if(tool == polygon) {
                            addObj(new Poly(bod));
                        }
    
                        wxColourData retData = dgBgcol->GetColourData();
                        wxColour colp = retData.GetColour();
                        wxColourData retData2 = dgFgcol->GetColourData();
                        wxColour col = retData2.GetColour();
    
                        arrObj[itemsCount]->setParams(penWidth->GetValue(),col , colp);
                        nowDraw = true;
                        lastSelObj = itemsCount;
                    } else  if(nowDraw == true) {
                        arrObj[itemsCount]->setPoint( bod );
                        paint();
                    }
            } else {
    
                    if(nowDraw == true) {
                        setEditButtons();
                    }
                        paint();
                        nowDraw = false;
            }
        }
}

/*
 * WxToolButton6Click
 */
void VEDrawingFrm::WxToolButton6Click(wxCommandEvent& event)
{
        WxToggleButton1->SetValue(0);
    select = -1;
    tool = rectangle;
    nowDraw = false;
    SB->SetStatusText("Selected tool: Rectangle", 0);
}

/*
 * WxToolButton7Click
 */
void VEDrawingFrm::WxToolButton7Click(wxCommandEvent& event)
{
        WxToggleButton1->SetValue(0);
    select = -1;
    tool = circle;
    nowDraw = false;
    SB->SetStatusText("Selected tool: Circle", 0);

}

/*
 * WxToolButton8Click
 */
void VEDrawingFrm::WxToolButton8Click(wxCommandEvent& event)
{
        WxToggleButton1->SetValue(0);
    select = -1;
    tool = polygon;
    nowDraw = false;
    SB->SetStatusText("Selected tool: Polygon", 0);

}

/*
 * WxToggleButton1Click
 */
void VEDrawingFrm::WxToggleButton1Click(wxCommandEvent& event)
{
    tool = selector;
	select = select * -1;
	paint(true);	
}


/*
 * setBackgroundClick
 */
void VEDrawingFrm::setBackgroundClick(wxCommandEvent& event)
{
    if (dgBgcol->ShowModal() == wxID_OK)
    {
        wxColourData retData = dgBgcol->GetColourData();
        wxColour col = retData.GetColour();
        FGCOL->SetBackgroundColour(col);
        FGCOL->Refresh();
        
        if(lastSelObj != -1) {
            arrObj[lastSelObj]->setBg( col);
            paint(true);
        }
    }	
}

/*
 * setForegroundClick
 */
void VEDrawingFrm::setForegroundClick(wxCommandEvent& event)
{
    if (dgFgcol->ShowModal() == wxID_OK)
    {
        wxColourData retData = dgFgcol->GetColourData();
        wxColour col = retData.GetColour();
        BGCOL->SetBackgroundColour(col);
        BGCOL->Refresh();

        if(lastSelObj != -1) {
            arrObj[lastSelObj]->setFg( col);
            paint(true);
        }
    }
}

/*
 * penWidthUpdated
 */
void VEDrawingFrm::penWidthUpdated(wxSpinEvent& event )
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setWidth( penWidth->GetValue());
            paint(true);
    }
}

/*
 * WxToolButton3Click
 */
void VEDrawingFrm::WxToolButton3Click(wxCommandEvent& event)
{
    if(backCount > 0) {
        itemsCount ++;
        backCount --;
        addObj(arrBack[backCount]);

        paint(true);
        setEditButtons();
    }
}

void VEDrawingFrm::delBack() {
    if(backCount > 0 ) {
        for(int g = 0; g < backCount ; g ++ ) {
            delete arrBack[g];
        }
    }
    backCount = 0;    
}

void VEDrawingFrm::setEditButtons() {
    if(itemsCount > -1 && backCount < 10 ) {
    	WxToolBar1->EnableTool(ID_BTNBACK, true);
    } else {
    	WxToolBar1->EnableTool(ID_BTNBACK, false);
    }
    if(backCount > 0 ) {
    	WxToolBar1->EnableTool(ID_BTNFORW, true);
    	WxToolBar1->Realize();
    } else {
    	WxToolBar1->EnableTool(ID_BTNFORW, false);
    	WxToolBar1->Realize();
    }
}


/*
 * RoundBtnClick
 */
void VEDrawingFrm::RoundBtnClick(wxCommandEvent& event)
{
    WxToggleButton1->SetValue(0);
    select = -1;
    tool = rrect;
    nowDraw = false;
    SB->SetStatusText("Selected tool: Round Rectangle", 0);

}

/*
 * DotMenu
 */
void VEDrawingFrm::DotMenu(wxCommandEvent& event)
{
    WxToggleButton1->SetValue(0);
    select = -1;
    tool = ellipse;
    nowDraw = false;
    SB->SetStatusText("Selected tool: Ellipse", 0);
}


/*
 * SolidMenu
 */
void VEDrawingFrm::SolidMenu(wxCommandEvent& event)
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setFill(0);
            paint(true);
    }
}

/*
 * DotMenu1
 */
void VEDrawingFrm::DotMenu1(wxCommandEvent& event)
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setFill(1);
            paint(true);
    }

}

/*
 * RoundSpinUpdated
 */
void VEDrawingFrm::RoundSpinUpdated(wxSpinEvent& event )
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setRound( RoundSpin->GetValue());
            paint(true);
    }
}

/*
 * SDMenu
 */
void VEDrawingFrm::SDMenu(wxCommandEvent& event)
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setFill(2);
            paint(true);
    }
}

/*
 * DMenu
 */
void VEDrawingFrm::DMenu(wxCommandEvent& event)
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setFill(3);
            paint(true);
    }
}

/*
 * LDMenu
 */
void VEDrawingFrm::LDMenu(wxCommandEvent& event)
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setFill(5);
            paint(true);
    }
}

/*
 * DDMenu
 */
void VEDrawingFrm::DDMenu(wxCommandEvent& event)
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setFill(5);
            paint(true);
    }
}

/*
 * STMenu
 */
void VEDrawingFrm::STMenu(wxCommandEvent& event)
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setFill(6);
            paint(true);
    }
}

/*
 * CHMenu
 */
void VEDrawingFrm::CHMenu(wxCommandEvent& event)
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setFill(7);
            paint(true);
    }
}

/*
 * HHMenu
 */
void VEDrawingFrm::HHMenu(wxCommandEvent& event)
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setFill(8);
            paint(true);
    }
}

/*
 * VHMenu
 */
void VEDrawingFrm::VHMenu(wxCommandEvent& event)
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setFill(9);
            paint(true);
    }
}

/*
 * WxToolButton1Click
 */
void VEDrawingFrm::WxToolButton1Click(wxCommandEvent& event)
{
        for(int g = 0; g < itemsCount ; g ++ ) {
            delete arrObj[g];
        }
        delete []arrObj;

        for(int f = 0; f < backCount ; f ++ ) {
            delete arrBack[f];
        }

        delete []arrBack;
        
        itemsCount = -1;
        backCount = -1;
        
        paint(true);
}

/*
 * ShowAbout
 */
void VEDrawingFrm::ShowAbout(wxCommandEvent& event)
{
	AboutFrm* frame = new AboutFrm(NULL);
    frame->Show();
}

/*
 * BgSolid
 */
void VEDrawingFrm::BgSolid(wxCommandEvent& event)
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setBgFill(0);
            paint(true);
    }
}

/*
 * BgTrans
 */
void VEDrawingFrm::BgTrans(wxCommandEvent& event)
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setBgFill(1);
            paint(true);
    }
}

/*
 * BgStip
 */
void VEDrawingFrm::BgStip(wxCommandEvent& event)
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setBgFill(6);
            paint(true);
    }
}

/*
 * BgCH
 */
void VEDrawingFrm::BgCH(wxCommandEvent& event)
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setBgFill(7);
            paint(true);
    }
}

/*
 * BgHH
 */
void VEDrawingFrm::BgHH(wxCommandEvent& event)
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setBgFill(8);
            paint(true);
    }
}

/*
 * BgVH
 */
void VEDrawingFrm::BgVH(wxCommandEvent& event)
{
    if(lastSelObj != -1) {
            arrObj[lastSelObj]->setBgFill(9);
            paint(true);
    }
}

/*
 * BGCOLUpdated
 */
void VEDrawingFrm::BGCOLUpdated(wxCommandEvent& event)
{

}
